The Bluetooth Low Energy implementation on NXP SDK through 2.2.1 for KW41Z devices does not properly restrict the Link Layer payload length, allowing attackers in radio range to cause a buffer overflow via a crafted packet.
Published 2020-02-12 19:15:14
Updated 2022-11-02 15:13:51
Source MITRE
View at NVD,   CVE.org
Vulnerability category: Overflow

Exploit prediction scoring system (EPSS) score for CVE-2019-17519

0.10%
Probability of exploitation activity in the next 30 days EPSS Score History
~ 40 %
Percentile, the proportion of vulnerabilities that are scored at or less

CVSS scores for CVE-2019-17519

Base Score Base Severity CVSS Vector Exploitability Score Impact Score Score Source First Seen
5.8
MEDIUM AV:A/AC:L/Au:N/C:P/I:P/A:P
6.5
6.4
NIST
8.8
HIGH CVSS:3.1/AV:A/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
2.8
5.9
NIST

CWE ids for CVE-2019-17519

References for CVE-2019-17519

Products affected by CVE-2019-17519

  • NXP » Mcuxpresso Software Development Kit
    Versions up to, including, (<=) 2.2.1
    cpe:2.3:a:nxp:mcuxpresso_software_development_kit:*:*:*:*:*:*:*:*
    When used together with: NXP » Kw31z » Version: N/A
    When used together with: NXP » Kw34 » Version: N/A
    When used together with: NXP » Kw35 » Version: N/A
    When used together with: NXP » Kw36 » Version: N/A
    When used together with: NXP » Kw37 » Version: N/A
    When used together with: NXP » Kw38 » Version: N/A
    When used together with: NXP » Kw39 » Version: N/A
    When used together with: NXP » Kw41z » Version: N/A
This web site uses cookies for managing your session, storing preferences, website analytics and additional purposes described in our privacy policy.
By using this web site you are agreeing to CVEdetails.com terms of use!